Name:           python-imgtool
Version:        2.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        MCUboot's image signing and key management

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/mcu-tools/mcuboot
Source:         %{pypi_source imgtool}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'imgtool' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-imgtool
Summary:        %{summary}

%description -n python3-imgtool %_description


%prep
%autosetup -p1 -n imgtool-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-imgtool -f %{pyproject_files}


%changelog
%autochangelog